For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The BalanceSheet object
          • GET/balance-sheets
          • GET/balance-sheets/{id}
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsBalance Sheets

/balance-sheets/{id}

GET
/accounting/v1/balance-sheets/:id
GET
/api/accounting/v1/balance-sheets/:id
$curl -G https://api.merge.dev/api/accounting/v1/balance-sheets/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -d expand=company
200Retrieved
1{
2 "id": "9871b4a9-f5d2-4f3b-a66b-dfedbed42c46",
3 "remote_id": "8937018",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "name": "BalanceSheet",
7 "currency": "USD",
8 "company": "595c8f97-2ac4-45b7-b000-41bdf43240b5",
9 "date": "2021-09-31T00:00:00Z",
10 "net_assets": 1000,
11 "assets": [
12 {
13 "remote_id": "10010",
14 "name": "Assets",
15 "value": 1000,
16 "sub_items": []
17 }
18 ],
19 "liabilities": [
20 {
21 "remote_id": "10011",
22 "name": "Liabilities",
23 "value": 500,
24 "sub_items": []
25 }
26 ],
27 "equity": [
28 {
29 "remote_id": "10012",
30 "name": "Equity",
31 "value": 500,
32 "sub_items": []
33 }
34 ],
35 "remote_generated_at": "2021-10-01T00:00:00Z",
36 "remote_was_deleted": true,
37 "field_mappings": {
38 "organization_defined_targets": {
39 "custom_key": "custom_value"
40 },
41 "linked_account_defined_targets": {
42 "custom_key": "custom_value"
43 }
44 },
45 "remote_data": [
46 {
47 "path": "/platform-endpoint",
48 "data": null
49 }
50 ]
51}

Returns a BalanceSheet object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/balance-sheets

Next

The BankFeedAccount object

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
Allowed values:
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
namestring or null
The balance sheet's name.
currencyenum or null
The balance sheet's currency. The currency code in ISO 4217 format.
companystring or nullformat: "uuid"

Company object for the given BalanceSheet object.

datedatetime or null
The balance sheet's date. The balance sheet data will reflect the company's financial position this point in time.
net_assetsdouble or null
The balance sheet's net assets.
assetslist of objectsRead-only
liabilitieslist of objectsRead-only
equitylist of objectsRead-only
remote_generated_atdatetime or null
The time that balance sheet was generated by the accounting system.
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only